Subject: Re: [RFC PATCH] Record a single transaction for conflicting push operations

From: Gustav Hållberg <[email-masked]>
Date: Mon, 21 Dec 2009 15:31:23 +0100

On 2009-12-21 14:48, Karl Wiberg wrote:
> I've seen more than one complaint that the current behavior is
> confusing even if we don't count the bug, so I thought this was part
> of the motivation.

I don't know if this would be better than the other suggested solutions, 
but if "stg log" would clearly identify multi-stage entries as such, the 
current confusion would probably mostly go away.

Currently this is done reasonably well for make_temp_patch(), which says 
"refresh (create temporary patch)" in the log, but I think this could be 
taken further.

For example, if such annotations said "foo: stage N" or similar, 
indicating that this was the Nth step in the "foo" command (think 
"rebase" or whatever), it would be good enough for me least.

- Gustav